Subject: bug#19682: 25.0.50; `other-window' doc string should say that by default it selects win in same frame

From: Eli Zaretskii <[email-masked]>
Date: Sun, 25 Jan 2015 21:26:12 +0200

> Date: Sun, 25 Jan 2015 11:05:00 -0800 (PST)
> From: Drew Adams <[email-masked]>
> Cc: [email-masked]
> 
> > > But the first thing that needs to be said, very clearly, and
> > > preferably without any reference to arguments or other doc
> > > strings, is what the default behavior is.
> > 
> > It already does.  It just doesn't divulge _all_ the details about the
> > selection of the "other" window.
> 
> No, it does not say what the default behavior is.  It does not
> tell you that, by default, it switches to another window in
> the same frame.

It also doesn't say how that window gets selected, out of all the
other windows on that frame.  Readers who need those details are
invited to read about 'next-window', because that's the window they
will get.

> I am not asking for a description of "_all_ the details about the
> selection of the "other" window."
> 
> I am asking that you say what the other window is by default.

I don't see why this single details matters more than the others.